This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 893112 - UI widgets incorrectly hide when creating operation schedule
UI widgets incorrectly hide when creating operation schedule
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.5
Unspecified Unspecified
unspecified Severity low (vote)
: ---
: RHQ 4.6
Assigned To: Jirka Kremser
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-08 10:45 EST by Libor Zoubek
Modified: 2015-11-01 19:43 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-31 06:11:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2013-01-08 10:45:11 EST
Description of problem: When creating a new operation schedule you can make schedule to be repeatable using either cron expression or various constraints. 


Version-Release number of selected component (if applicable):
JON 3.1.2.CR1

How reproducible:always


Steps to Reproduce:
1.have a resource and create a new operation schedule
2.click 'Now & repeat' radio
3.click 'Now'
3.click 'Cron Expression'
  
Actual results: widgets related to 'Calendar' way off defining operation schedule are still visible.


Expected results:widgets related to 'Calendar' way off defining operation schedule are NOT visible.


Additional info:
Comment 1 Jirka Kremser 2013-01-09 08:45:50 EST
Steps to Reproduce should be:
1. have a resource and create a new operation schedule
2. click 'Now & repeat' radio
3. click 'Now'
4. click 'Now & repeat' radio
5. click 'Cron Expression'



fixed in master
http://git.fedorahosted.org/cgit/rhq/rhq.git/diff/?id=70447c927

time:    Wed Jan 9 14:38:27 2013 +0100
commit:  70447c927600b2421488a2be4b73f9585a550432
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 893112 - UI widgets incorrectly hide when creating operation schedule] Instead of using Canvas.setVisibility, methods Canvas.show() and Canvas.hide() are now used.
Comment 2 Libor Zoubek 2013-04-02 05:18:56 EDT
verified on Version: 4.7.0-SNAPSHOT Build Number: bd0c492
Comment 3 Heiko W. Rupp 2013-08-31 06:11:54 EDT
Bulk close of old bugs in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.